menu

Feed available - Subscribe to our feed to stay up to date on upcoming maintenance and incidents.

Kony Cloud status
Current status and incident report

January 25, 2016

Maintenance window: January 25, 2016 00:01 UTC to January 25, 2016 04:00 UTC
Impacted Cloud services:
  • Messaging services (Release Notes - to be updated for v6.5.0.6)

    • Apple universal certificate fix

    • Messaging API requiring basic authentication by default

    • The “Authentication for Message API” checkbox will be enabled for all Clouds by default. This checkbox is located under Configuration -> General -> Security section of the KMS Console and if disabled allows unauthenticated usage of the messaging(Push, Event) older model api (i.e. ./service api). If you are an existing customer and have not yet migrated to the newer api model(api/v1), we request you to consider taking this as top priority and do so. If for some reason, you want to continue using the older api model(/service/), you would need to pass Basic Authorization Header consisting of username/password in the headers and make the changes in the api calling code if any. If you have been already using the newer api model, this update would not have any impact for you. You may proactively enable this option by yourself prior to this update and we do not recommend disabling this option under most circumstances.

    • Note: if your applications must invoke the messaging API without basic authorization, then you will need to uncheck this checkbox after the update has been applied during the maintenance window.


Impact Level : minor

No significant downtime is expected. The scheduled maintenance is designed for minimal disruption of service availability; however, it is possible for your service(s) to be unavailable for a short period of time during the maintenance window.

January 23, 2016

Maintenance window: January 23, 2016 00:01 UTC to January 23, 2016 04:00 UTC
(postponed due to unrelated production incident for a few customers who have already been contacted)
Impacted Cloud services:
  • Sync services

    • Due to a configuration change in some open-source packages, we are required to make infrastructure changes to support application deployment and scaling events.

    • If you would like to schedule a different time for this fix to be applied, please open a support ticket using the Cloud Management Portal for each affected Cloud communicated to your organization via email.


Impact Level : minor

No significant downtime is expected. The scheduled maintenance is designed for minimal disruption of service availability; however, it is possible for your service(s) to be unavailable for a short period of time during the maintenance window. We anticipate any downtime lasting approximately ten minutes; this duration would be approximately the amount of time required to deploy an application.

January 21, 2016

Maintenance window: January 21, 2016 00:01 UTC to January 21, 2016 04:00 UTC
Impacted Cloud services:
  • SSL certs- updated for konycloud.com across all environments


Impact Level : minor

No significant downtime is expected. The scheduled maintenance is designed for minimal disruption of service availability; however, it is possible for your service(s) to be unavailable for a short period of time during the maintenance window.

January 21, 2016

Maintenance window: January 21, 2016 00:01 UTC to January 21, 2016 04:00 UTC
(this maintenance has been postponed to January 25)
Impacted Cloud services:
  • Apple universal certificate fix

  • Messaging API requiring basic authentication by default

    • The “Authentication for Message API” checkbox will be enabled for all Clouds by default. This checkbox is located under Configuration -> General -> Security section of the KMS Console and if disabled allows unauthenticated usage of the messaging(Push, Event) older model api (i.e. ./service api). If you are an existing customer and have not yet migrated to the newer api model(api/v1), we request you to consider taking this as top priority and do so. If for some reason, you want to continue using the older api model(/service/), you would need to pass Basic Authorization Header consisting of username/password in the headers and make the changes in the api calling code if any. If you have been already using the newer api model, this update would not have any impact for you. You may proactively enable this option by yourself prior to this update and we do not recommend disabling this option under most circumstances.

    • Note: if your applications must invoke the messaging API without basic authorization, then you will need to uncheck this checkbox after the update has been applied during the maintenance window.


Impact Level : minor

No significant downtime is expected. The scheduled maintenance is designed for minimal disruption of service availability; however, it is possible for your service(s) to be unavailable for a short period of time during the maintenance window.

January 18, 2016

Maintenance window: January 18, 2016 00:01 UTC to January 18, 2016 04:00 UTC
Impacted Cloud services:
  • Management services

    • Database upgrade

    • Apple universal SSL fix

  • Messaging services

    • Database upgrade


Impact Level : medium

Scheduled maintenance is designed for minimal disruption of service availability; however, we anticipate approximately 1 hour of downtime for the services listed above during the maintenance window.

January 14, 2016

Maintenance window: January 14, 2016 16:00 UTC to January 14, 2016 17:00 UTC
Impacted Cloud services:
  • Reporting services

    • Standard & Custom reports within Kony Cloud will not be accessible during the maintenance window.


Impact Level : medium

Scheduled maintenance is designed for minimal disruption of service availability; however, we anticipate approximately 20-40 minutes of downtime for the services listed above during the maintenance window.

January 4, 2016

Maintenance window: January 04, 2016 00:01 UTC to January 04, 2016 04:00 UTC
(This maintenance was originally planned for January 1)
Impacted Cloud services:
  • Management services

    • Fix to work around MDM server communication changes released in iOS v9.2

    • For devices operating on iOS v9.2, if you are experiencing issues, please follow the instructions below:

    • Remove Launchpad & Profile from the device which is experiencing the issue

    • Restart the device

    • Log in to your Management console

    • Open a support case with us to request the latest binaries for the iOS platform Launchpad app

    • Upgrade the iOS platform Launchpad app with the latest binaries that we have provided

    • Re-enroll the device

    • For other versions of iOS, users will still receive a push notification regarding the mandatory Launchpad upgrade

  • MobileFabric services

    • MobileFabric management portal

    • Identity services


Impact Level : minor

No significant downtime is expected. The scheduled maintenance is designed for minimal disruption of service availability; however, it is possible for your service(s) to be unavailable for a short period of time during the maintenance window.

December 29, 2015

Maintenance window: December 29, 2015 11:37 UTC to December 29, 2015 11:47 UTC
Impacted Cloud services:
  • Cloud infrastructure

    • Hotfix to address Python Package Index (PyPI) issue for dependency packages (e.g., mysql-connector-python) not complying with PEP 470, which removed external hosting support (see issue 365{:title=’Issue 365’). To work around the issue temporarily, we have chosen to pull the required files directly from the official supplier sources vs. using the PyPI servers as a means of indirection. We believe that most of the affected package maintainers were unresponsive to the PyPI deprecation announcement due to the recent holidays and will soon be correcting this issue on their end.


Impact Level : minor

No significant downtime is expected. The scheduled maintenance is designed for minimal disruption of service availability; however, it is possible for your service(s) to be unavailable for a short period of time during the maintenance window.

December 20, 2015

Maintenance window: December 20, 2015 00:01 UTC to December 20, 2015 04:00 UTC
Impacted Cloud services:
  • Management services

    • All MDM vendors at this time are recommending any enterprise with iOS devices under Device Management advise end users to not upgrade to iOS version 9.2 if they have not already. Apple pushed, without enough notice, a change to how iOS 9.2 communicates with MDM servers. This causes managed apps to function incorrectly, as well as segmentation fault errors to appear. Apple has confirmed the inconsistency and is working to revert address the issue. At the same time, Kony is working on a temporary workaround until the Apple fix is released. Until an update is released, it is highly recommended to keep iOS devices below v9.2.

    • Apple notice and discussion threads for reference:

    • https://support.apple.com/en-us/HT205654

    • https://forums.developer.apple.com/thread/27960


Impact Level :

No significant downtime is expected.